package req

import (
	"git.noahlan.cn/noahlan/ntool/nsys/cmdn"
)

var _ cmdn.ICommand = (*GtpReq)(nil)

type GtpReq struct {
	ID      string
	Command string
	Args    []string
}

func NewGtpReq(id, cmd string, args ...string) *GtpReq {
	return &GtpReq{
		ID:      id,
		Command: cmd,
		Args:    args,
	}
}

func (r *GtpReq) MessageID() string {
	return ""
}
