package nkatago

import "git.noahlan.cn/noahlan/ntool/nsys/cmdn"

type EngineType = string

const (
	EngineGTP      EngineType = "Gtp"
	EngineAnalysis EngineType = "Analysis"
)

// KatagoEngine katago 引擎
type KatagoEngine struct {
	Processor *cmdn.Processor
	Name      string
	Mode      EngineType
}
